Get team audit logs

View as Markdown
Gets a list of your team's generated audit events. For a complete list of all audit events, see [Audit logs](https://learning.postman.com/docs/administration/audit-logs/).

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

userIdintegerOptional
Return only results that match the given user ID.
actionstringOptional
Filter results by an audit log action.
sincedateOptional

Return logs created after the given time, in YYYY-MM-DD format.

untildateOptional

Return logs created before the given time, in YYYY-MM-DD format.

limitintegerOptional<=300
The maximum number of audit events to return at once.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

orderByenumOptionalDefaults to desc

Return the records in ascending (asc) or descending (desc) order.

Allowed values:
order_byenumOptionalDefaults to descDeprecated

Return the records in ascending (asc) or descending (desc) order.

Allowed values:

Response

Successful Response
trailslist of objects
A list of audit log events.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error